-- This is the scripts that will initiate the database schema.

set serveroutput on;

prompt ***Deleting table Temp;

DROP TABLE TEMP;

prompt ***Creating table Temp;

CREATE TABLE TEMP
(
  TEMP_ID    NUMBER(2),
  TEMP_NAME  VARCHAR2(30 BYTE)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          12K
            NEXT             12K
            MINEXTENTS       1
            MAXEXTENTS       249
            PCTINCREASE      50
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );

prompt ***Deleting View Temp_V;

DROP VIEW TEMP_V;

prompt ***Creating View Temp_V;

CREATE OR REPLACE VIEW TEMP_V
(TEMPV_ID, TEMPV_NAME)
AS 
(select temp_id as tempv_id, temp_name as tempv_name from temp)
/